from setuptools import setup, find_packages

setup(
    name="carboModels",
    version="0.1",
    packages=find_packages(),
    description="Python implementation of some wellknown carboModels",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    author="Annika Schultheiss, Arash Javanmardi",
    author_email="aj.javanmardi@tum.de",
    url="https://github.com/KIT-IMB-Modeling-And-Digitalization/CarboModels",
    license="MIT",
    install_requires=[
        "aiohttp==3.9.1",
        "aiosignal==1.3.1",
        "altair==5.0.1",
        "anyio==4.0.0",
        "appnope==0.1.3",
        "argon2-cffi==23.1.0",
        "argon2-cffi-bindings==21.2.0",
        "arrow==1.3.0",
        "asttokens==2.4.1",
        "async-lru==2.0.4",
        "attrs==23.1.0",
        "babel==2.13.1",
        "beautifulsoup4==4.12.2",
        "black==23.12.0",
        "bleach==6.1.0",
        "blinker==1.6.2",
        "cachetools==5.3.1",
        "certifi==2023.7.22",
        "cffi==1.16.0",
        "charset-normalizer==3.2.0",
        "click==8.1.6",
        "colorama==0.4.6",
        "contourpy==1.1.0",
        "cycler==0.11.0",
        "debugpy==1.8.0",
        "decorator==5.1.1",
        "defusedxml==0.7.1",
        "executing==2.0.1",
        "fastjsonschema==2.18.1",
        "fonttools==4.42.0",
        "fqdn==1.5.1",
        "frozenlist==1.4.1",
        "gitdb==4.0.10",
        "gitpython==3.1.32",
        "idna==3.4",
        "importlib-metadata==6.8.0",
        "ipykernel==6.26.0",
        "ipython==8.17.2",
        "isoduration==20.11.0",
        "jedi==0.19.1",
        "jinja2==3.1.2",
        "json5==0.9.14",
        "jsonpointer==2.4",
        "jsonschema==4.19.0",
        "jsonschema-specifications",
        "jupyter-client==8.6.0",
        "jupyter-core==5.5.0",
        "jupyter-events==0.9.0",
        "jupyter-lsp==2.2.0",
        "jupyter-server==2.10.0",
        "jupyter-server-terminals==0.4.4",
        "jupyterlab==4.0.8",
        "jupyterlab-pygments==0.2.2",
        "jupyterlab-server==2.25.1",
        "kiwisolver==1.4.4",
        "libffi==3.4.4",
        "markdown-it-py==3.0.0",
        "markupsafe==2.1.3",
        "matplotlib==3.7.2",
        "matplotlib-inline==0.1.6",
        "mdurl==0.1.2",
        "mistune==3.0.2",
        "multidict==6.0.4",
        "mypy==1.5.1",
        "mypy_extensions==1.0.0",
        "nbclient==0.9.0",
        "nbconvert==7.11.0",
        "nbformat==5.9.2",
        "ncurses==6.4",
        "nest-asyncio==1.5.8",
        "notebook==7.0.6",
        "notebook-shim==0.2.3",
        "numpy==1.25.2",
        "openssl==3.0.12",
        "overrides==7.4.0",
        "packaging==23.1",
        "pandas==2.0.3",
        "pandocfilters==1.5.0",
        "parso==0.8.3",
        "pathspec==0.12.1",
        "pexpect==4.8.0",
        "pillow==9.5.0",
        "pip==23.3",
        "platformdirs==4.0.0",
        "plotly==5.16.0",
        "prometheus-client==0.18.0",
        "prompt-toolkit==3.0.41",
        "protobuf==4.24.0",
        "psutil==5.9.6",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "pyarrow==12.0.1",
        "pycparser==2.21",
        "pydeck==0.8.0",
        "pygments==2.16.1",
        "pympler==1.0.1",
        "pyparsing==3.0.9",
        "python==3.11.5",
        "python-dateutil==2.8.2",
        "python-json-logger==2.0.7",
        "pytz==2023.3",
        "pytz-deprecation-shim==0.1.0.post0",
        "pyyaml==6.0.1",
        "pyzmq==25.1.1",
        "readline==8.2",
        "referencing==0.30.2",
        "requests==2.31.0",
        "rfc3339-validator==0.1.4",
        "rfc3986-validator==0.1.1",
        "rich==13.5.2",
        "rpds-py==0.9.2",
        "scipy==1.11.1",
        "send2trash==1.8.2",
        "setuptools==68.0.0",
        "six==1.16.0",
        "smmap==5.0.0",
        "sniffio==1.3.0",
        "soupsieve==2.5",
        "sqlite==3.41.2",
        "stack-data==0.6.3",
        "streamlit==1.28.2",
        "tenacity==8.2.3",
        "terminado==0.18.0",
        "tinycss2==1.2.1",
        "tk==8.6.12",
        "toml==0.10.2",
        "toolz==0.12.0",
        "tornado==6.3.3",
        "traitlets==5.13.0",
        "types-python-dateutil==2.8.19.14",
        "typing-extensions==4.7.1",
        "typing_extensions==4.7.1",
        "tzdata==2023.3",
        "tzlocal==4.3.1",
        "uri-template==1.3.0",
        "urllib3==2.0.4",
        "validators==0.21.2",
        "watchdog==3.0.0",
        "wcwidth==0.2.10",
        "webcolors==1.13",
        "webencodings==0.5.1",
        "websocket-client==1.6.4",
        "wheel==0.41.2",
        "xz==5.4.2",
        "yarl==1.9.4",
        "zipp==3.16.2",
        "zlib==1.2.13",
    ],
)
